<?php
  include("./control/session.inc");

  $cname = 'rss_001'; 
  $title = '簡易ページ送り';

function form()
{

//更新情報RSS

$content1 = <<<'EOD'
<div id="main_r1">
<h2>更新情報　RSS</h2>

<div id="form_box2"><div class="fi-link"> 表示例と説明</div></div>

<div id="form_box4">
更新情報
<br>
<br>
2017/05/17 <a href="">更新された該当コンテンツ1のタイトル内容。</a><br>
2017/05/17 <a href="">更新された該当コンテンツ2のタイトル内容。</a><br>
2017/05/17 <a href="">更新された該当コンテンツ3のタイトル内容。</a><br>
2017/05/17 <a href="">更新された該当コンテンツ4のタイトル内容。</a><br>
2017/05/17 <a href="">更新された該当コンテンツ5のタイトル内容。</a><br>
<br>
・更新年月日と更新されたコンテンツを新しい順にリンク表示いたします。リンク文字列はtitleタグの内容です。
<br>
・表示件数とタイトルタグ内の文章の文字数を設定することができます。
<br>
・リンク先のコンテンツに対して全て同じPaste Codeを貼り付ければ機能するので便利です。
<br>
・初期設定ではトップページの表示にリンクを記述しておりません。リンク表示を希望される場合は該当箇所を変更してください。
<br><br>

</div>

<div id="form_box2"><div class="fi-page-edit"> 使い方</div></div>

<div id="form_box4">

・コピーソース内の設定箇所を変更し、「リンクグループの作成」で「HTML 編集」にコピーソースを貼り付けて登録します。
<br>

・完成したリンクグループの「Paste Code」を各コンテンツに貼り付けてご利用下さい。
設定個所は以下の通りです。
<br>
・設定1の「 $perPage = 5;」の数字「5」は更新されたコンテンツの表示件数です。ご希望の件数に適宜変更してください。
<br>
・設定2の「$int_title = 46;」の数字「46」はタイトルタグに記述されたテキストの文字数です。ご希望の文字数に適宜変更してください。
<br>
・設定3、4は実際に表示されるhtmlです。必要な場合は変更、追記が可能です。（複数行可）
<br>
・日付を非表示にされる場合は後半の「$but4 = $d_time.' ～略～」の「$d_time.」を削除してください。
<br><br>

</div>
EOD;


$content2 = <<<'KOEY'
<?php
function whats_new()
{

//設定1 データ表示件数
  $perPage = 5;

//設定2 titleタグ内文字列、表示文字数
  $int_title = 46;

//設定3 開始タグ、「$content1」の次の行にHTMLを記述して下さい。

$content1 = <<<EOD
<h2>更新情報　RSS</h2>
EOD;

//設定4 終了タグ、「$content2」の次の行にHTMLを記述して下さい。CSSでdivボックスなどを使用した場合に使用いただけます。

$content2 = <<<EOD

EOD;

//設定終了↑

 print("$content1".PHP_EOL);
 $i=0;
 $path='content/';

 $files = glob($path ."*.php");
 usort($files, function($a,$b){
 return filemtime($b) - filemtime($a);
 });

 foreach ($files as $file)
 {

   if($i >= $perPage){break;
   }else{
   $i++;
   include_once $file;
   $d_time = date( "Y/m/d", filemtime($file) );
   mb_internal_encoding("UTF-8");
   $mb_title = mb_substr($title, 0, $int_title) .'…';

      if($fl_name =='index' or $fl_name == ''){
      $but4 = $d_time.' トップページ(HOME)を更新いたしました。<br>';
      }else{
      $but4 = $d_time.' <a href="index.php?name='.$fl_name.'">'.$mb_title.'</a><br>';
      }

   $list = $but4.PHP_EOL;
   print $list;

   }
 }
  print $content2;
}
whats_new();
?>
KOEY;

$content3 = <<<EOD
<div id="form_box2"><div class="fi-page-edit"> コピーソース</div></div>
<textarea>{$content2}</textarea>
</div>
EOD;

print $content1;
print $content3;
}
?>
